#
# spec file for package python-pbr-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pbr-doc
Version:        1.8.0
Release:        2.2
Summary:        Documentation for python-pbr
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pbr
Source:         https://pypi.python.org/packages/source/p/pbr/pbr-%{version}.tar.gz
Source1:        python-pbr-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  python-devel
# Documentation requirements:
BuildRequires:  python-Sphinx >= 1.1.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package contains documentation files for python-pbr

%prep
%setup -q -n pbr-%{version}
# Get rid of ugly build-time deps that require network:
sed -i "s/, 'sphinx\.ext\.intersphinx'//" doc/source/conf.py

%build
python setup.py build_sphinx && rm doc/build/html/.buildinfo

%install
mkdir -p %{buildroot}%{_docdir}/python-pbr
cp -r doc/build/html %{buildroot}%{_docdir}/python-pbr/

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_docdir}/python-pbr/

%changelog
* Sun Sep 20 2015 tbechtold@suse.com
- update to 1.8.0:
  * Strip comments present in setup.cfg
  * Protect WSGI application with a critical section
- Remove 0001-Remove-sphinx_config.init_values-manual-call.patch
  Fixed upstream
* Wed Sep  9 2015 tbechtold@suse.com
- update to 1.7.0:
  * Have pbr egg_info.writer check PBR is enabled
* Wed Aug 26 2015 tbechtold@suse.com
- update to 1.6.0:
  * Strip comments in requirements files
  * Handle git being entirely absent
  * We require the use of setuptools
  * Fix retrieval of commit data and most recent tag
* Tue Aug 11 2015 seife+obs@b1-systems.com
- update to version 1.4.0
  * Fix docs for environment markers in extras
  * Export ChangeLog and AUTHORS in install
  * Show how long the git querying takes
  * Add wsgi_scripts support to PBR
  * Updated from global requirements
- requires python-mock >= 1.2
* Mon Aug  3 2015 toddrme2178@gmail.com
- Split documentation into own package to avoid dependency loop
